org.keycloak.representations.idm.authorization

## Class PolicyEvaluationResponse

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PolicyEvaluationResponse

-     public class PolicyEvaluationResponse
      extends Object

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PolicyEvaluationResponse.EvaluationResultRepresentation`
    `static class` | `PolicyEvaluationResponse.PolicyResultRepresentation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyEvaluationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PolicyEvaluationResponse.EvaluationResultRepresentation>` | `getResults()`
    `AccessToken` | `getRpt()`
    `DecisionEffect` | `getStatus()`
    `boolean` | `isEntitlements()`
    `void` | `setEntitlements(boolean entitlements)`
    `void` | `setResults(List<PolicyEvaluationResponse.EvaluationResultRepresentation> results)`
    `void` | `setRpt(AccessToken rpt)`
    `void` | `setStatus(DecisionEffect status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyEvaluationResponse

          public PolicyEvaluationResponse()

  - ### Method Detail

    - #### getResults

          public List<PolicyEvaluationResponse.EvaluationResultRepresentation> getResults()

    - #### getStatus

          public DecisionEffect getStatus()

    - #### isEntitlements

          public boolean isEntitlements()

    - #### getRpt

          public AccessToken getRpt()

    - #### setResults

          public void setResults(List<PolicyEvaluationResponse.EvaluationResultRepresentation> results)

    - #### setEntitlements

          public void setEntitlements(boolean entitlements)

    - #### setStatus

          public void setStatus(DecisionEffect status)

    - #### setRpt

          public void setRpt(AccessToken rpt)

Copyright © 2021 JBoss by Red Hat. All rights reserved.